# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Tue Aug 10 13:56:23 2021
# ------------------------------------------------

package:
  name: isort
  version: 5.9.3
source:
  sha256: 9c2ea1e62d871267b78307fe511c0838ba0da28698c5732d54e2790bf3ba9899
  url: https://pypi.io/packages/source/i/isort/isort-5.9.3.tar.gz
build:
  entry_points:
    - isort = isort.main:main
  noarch: python
  number: '0'
  script: /tmp/build/80754af9/isort_1628603791788/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
    -m pip install . -vv
  string: pyhd3eb1b0_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.7.5 h06a4308_1
    - certifi 2021.5.30 py39h06a4308_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.2 he6710b0_1
    - openssl 1.1.1k h27cfd23_0
    - pip 21.2.2 py39h06a4308_0
    - poetry-core 1.0.3 pyhd3eb1b0_0
    - python 3.9.6 h12debd9_0
    - readline 8.1 h27cfd23_0
    - setuptools 52.0.0 py39h06a4308_0
    - sqlite 3.36.0 hc218d9a_0
    - tk 8.6.10 hbc83047_0
    - tzdata 2021a h52ac0ba_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
  run:
    - python >=3.6.1,<4.0
test:
  commands:
    - pip check
    - isort --help
  imports:
    - isort
    - isort._future
  requires:
    - pip
about:
  description: 'isort is a Python utility / library to sort imports alphabetically,
    and

    automatically separated into sections. It provides a command line utility,

    Python library and plugins for various editors to quickly sort all your

    imports. It currently cleanly supports Python 2.6 - 3.5 using pies to

    achieve this without ugly hacks and/or py2to3.

    '
  dev_url: https://github.com/timothycrosley/isort
  doc_source_url: https://github.com/timothycrosley/isort/blob/develop/README.rst
  doc_url: http://isort.readthedocs.io/en/latest/
  home: https://github.com/timothycrosley/isort
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: A Python utility / library to sort Python imports.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - goanpeca
    - nehaljwani
    - nicoddemus
    - ocefpaf
